Skip to content

Create an App Authenticator Enrollment

Request

OAuth 2.0 scope:
  • okta.myAccount.appAuthenticator.manage

Creates an app authenticator enrollment

Note: The okta.myAccount.appAuthenticator.manage scope always enforces the Okta account management policy, regardless of whether end users have selected Keep me signed in (KMSI). This means that your Okta account management policy always applies to app authenticators that are created with this scope.

Headers
Acceptstringrequired

Specifies the API version. Current version: 1.0.0

Example:application/json; okta-version=1.0.0
Bodyapplication/json, okta-version=1.0.0
authenticatorIdstringrequired
deviceobjectrequired
methodsobjectrequired
POST
/idp/myaccount/app-authenticators
curl -i -X POST \
  https://okta-subdomain.pixtulate.com/idp/myaccount/app-authenticators \
  -H 'Accept: application/json; okta-version=1.0.0' \
  -H 'Content-Type: application/json, okta-version=1.0.0' \
  -d '{
    "authenticatorId": "aut12i8bdXk90NIfr0q5",
    "device": {
      "secureHardwarePresent": true,
      "clientInstanceKey": {
        "x": "O0N1H3AIXj5p5cpQx5RUzowIRz1iPnheo7SbEC-CtFw",
        "y": "Cea3KAFqsyxqPni2QJ6LjjqgRKgRHpsVzkNazd3m8To",
        "kty": "EC",
        "okta:kpr": "HARDWARE",
        "crv": "P-256",
        "kid": "DF47DEE2-D1B0-40B6-BEB7-09134CC4A19B"
      },
      "osVersion": "14.3",
      "clientInstanceBundleId": "com.company.authenticatorApp",
      "platform": "IOS",
      "manufacturer": "APPLE",
      "deviceAttestation": {},
      "clientInstanceVersion": "6.4.0",
      "clientInstanceDeviceSdkVersion": "DeviceSDK 1.0.0",
      "model": "iPhone",
      "displayName": "My device name",
      "udid": "4956095A-D99E-4A4E-A6DC-9E63E5978722"
    },
    "methods": {
      "push": {
        "apsEnvironment": "DEVELOPMENT",
        "pushToken": "667b773e90871f014805f45f770c90d161b84b609d167039b2c388c7bacfdaa1",
        "keys": {
          "proofOfPossession": {
            "x": "hFr-xcGSMHbWKq2_SUAOMkif1ARYAU-X_8ZGprOhxfw",
            "y": "HVqAxDCiGcV7H0QAQas6CMbh2wyG-cPU_cwXv3kPqcI",
            "kty": "EC",
            "okta:kpr": "HARDWARE",
            "crv": "P-256",
            "kid": "2078892D-BC96-4C8C-A3FA-34045C002C4A"
          },
          "userVerification": {
            "x": "V0p-5JFpcen4Iep94ihs00Kjezw9sblfMSUW-cJxTRk",
            "y": "wgJ9SFT3iaT6cqS08TBIBg_K-20r_4FMGFUlN2BXFJc",
            "kty": "EC",
            "okta:kpr": "HARDWARE",
            "crv": "P-256",
            "kid": "80D6AC7B-B640-4899-A32C-CA7B98BE0AE6"
          }
        },
        "capabilities": {
          "transactionTypes": [
            "LOGIN",
            "CIBA"
          ]
        }
      }
    }
  }'

Responses

OK

Bodyapplication/json;okta-version=1.0.0
authenticatorIdstringread-only
createdDatestring, (date-time)read-only
deviceobjectread-only
idstringread-only
lastUpdatedstring, (date-time)read-only
methodsobject
userobjectread-only
Response
{ "authenticatorId": "string", "createdDate": "2019-08-24T14:15:22Z", "device": { "id": "string", "status": "ACTIVE", "createdDate": "2019-08-24T14:15:22Z", "lastUpdated": "2019-08-24T14:15:22Z", "clientInstanceId": "string" }, "id": "string", "lastUpdated": "2019-08-24T14:15:22Z", "links": { "self": {} }, "methods": { "push": {} }, "user": { "id": "string", "username": "string" } }